[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: subversion-perl needs missing libswigpl.so



On Thu, May 20, 2004 at 01:22:34PM -0400, Stan Bubrouski wrote:
> Yeah i quickly figured that out after i sent the message.  Wasn't
> feeling hot earlier and looking at my screen wasnt making feel better. 
> But now my question would be: why the new dependency on SWIG?

The older swig packages weirdly only provide versionless .so files --
libswigpl.so, for example. So packages like subversion end up with
dependencies on that directly. Really, there should be something like
libswigpl.so.0, and the other package would have dependencies on that. The
new swig packages fix the problem, but until the old other package are
rebuilt against it, they'll be confused.

At least, that's my understanding. Anyone who knows better, feel free to
correct me. :)

-- 
Matthew Miller           mattdm mattdm org        <http://www.mattdm.org/>
Boston University Linux      ------>                <http://linux.bu.edu/>



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]